// Programa para hallar numericamente la posicion en funcion del tiempo
// para un movimiento planetario con orbita circular - Movimiento planetario - Actividad 1

// Condiciones iniciales
// masa del Sol = Msol = 1.99 10^30 kg
// masa Venus = Mvenus = 4,874 10^24 kg
// Radio orbita de Venus = Rvenus = 108 10^6 km.

// Fuerza gravitatoria
// - G Msol Mvenus (x,y) / (modulo posicion)^3 
// - 6.67 10^-11 m^3/(kg s^2) * 1.99 10^30 (x,y) / (modulo posicion)^3   *Mvenus
// - 1.72 10^9 miles km/h^2 (x,y) / (modulo vector posicion)^3
// - 1.72 (miles km/h^2) (x,y) / (sqrt((x/1000)^2+(y/1000)^2))^3


// modulo de la velocidad circular
// sqrt( aceleracion * Rvenus)
// sqrt( 0.011.38 m/s^2 * 108 10^9 m)
// 35058 m/s 
// 126.2 (miles de km/h)
// Velocidad inicial perpendicular a Fcentripeta 

// posicion en miles de kilometros
x(1)=108000;
y(1)=0 ;
// velocidad miles de km/h
vx(1)=0;
vy(1)=126.2;
// aceleracion
// - 1.72 (miles km/h^2) (x,y) / (sqrt((x/1000)^2+(y/1000)^2))^3
ax(1)= - 1.72 * (x(1)/(sqrt((x(1)/1000)^2+(y(1)/1000)^2))^3);
ay(1)= - 1.72 * (y(1)/(sqrt((x(1)/1000)^2+(y(1)/1000)^2))^3);

tiempo(1)=0;

for i=1:35040
  
  // pasos de tiempo de a 15 minutos o 0.25 de hora
  tiempo(i+1)= tiempo(i) + 0.25;
  
  x(i+1)= x(i) + vx(i) * 0.25;
  y(i+1)= y(i) + vy(i) * 0.25;

  vx(i+1)= vx(i) + ax(i) * 0.25;
  vy(i+1)= vy(i) + ay(i) * 0.25;

ax(i+1)= -  1.72 * (x(i+1)/(sqrt((x(i+1)/1000)^2+(y(i+1)/1000)^2))^3);
ay(i+1)= -  1.72 * (y(i+1)/(sqrt((x(i+1)/1000)^2+(y(i+1)/1000)^2))^3);

end

plot(tiempo, x)
plot(tiempo, y)
scf(1)
plot(x,y)

